> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sociavault.com/llms.txt
> Use this file to discover all available pages before exploring further.

# TikTok Live

> Scrapes a TikTok user's live stream

<Note>
  💳 **1 credit** per request
</Note>


## OpenAPI

````yaml GET /v1/scrape/tiktok/live
openapi: 3.1.0
info:
  title: SociaVault API
  version: 1.0.0
  description: >-
    # SociaVault API Documentation


    The SociaVault API provides comprehensive access to social media data
    extraction across multiple platforms.


    ## Features


    - **Multi-Platform Support**: TikTok, Instagram, YouTube, Facebook, Twitter,
    Reddit, Threads, and more

    - **Credit-Based System**: Pay-as-you-go pricing with transparent credit
    costs

    - **High Performance**: Fast, reliable data extraction

    - **Comprehensive Data**: Detailed user profiles, videos, posts, comments,
    and analytics


    ## Authentication


    All API requests require authentication using an API key in the `X-API-Key`
    header:


    ```bash

    X-API-Key: sk_live_your_api_key_here

    ```


    Get your API key from the [SociaVault
    Dashboard](https://sociavault.com/dashboard).


    ## Credits


    Each endpoint consumes credits based on data complexity:

    - Simple requests (profiles): 1 credit

    - Complex requests (demographics): 20+ credits

    - Paginated requests: Credits per page


    Check your credit balance in the dashboard or via the API.


    ## Support


    - **Documentation**: https://docs.sociavault.com

    - **Email**: support@sociavault.com

    - **Discord**: https://discord.gg/sociavault
  contact:
    name: SociaVault Support
    email: support@sociavault.com
    url: https://sociavault.com/support
  license:
    name: Commercial
    url: https://sociavault.com/terms
servers:
  - url: https://api.sociavault.com
    description: Production API
security:
  - ApiKeyAuth: []
tags:
  - name: account
    description: Account management and credit balance
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/account
  - name: tiktok
    description: Scrape TikTok profiles, videos, and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/tiktok
  - name: tiktok-shop
    description: Everything about TikTok Shop
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/tiktok-shop
  - name: instagram
    description: Gets Instagram profiles, posts, and reels
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/instagram
  - name: youtube
    description: Scrape YouTube channels, videos, and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/youtube
  - name: linkedin
    description: Scrape LinkedIn
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/linkedin
  - name: facebook
    description: Get public Facebook profiles and posts
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebook
  - name: facebookAdLibrary
    description: Scrapes the Facebook (Meta) Ad Library
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebookAdLibrary
  - name: facebookMarketplace
    description: Search Facebook Marketplace and pull full listing details
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebookMarketplace
  - name: googleAdLibrary
    description: >-
      Scrape the Google Ad Transparency Library. *This only gets the public ads.
      Some ads you need to log in for and sadly we can't get those. Also, since
      there are so many variations, the return types might not all be 100% the
      same.
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/googleAdLibrary
  - name: linkedinAdLibrary
    description: Search the LinkedIn Ad Library
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/linkedinAdLibrary
  - name: twitter
    description: Get Twitter profiles, tweets, followers and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/twitter
  - name: reddit
    description: Scrape Reddit posts and comments
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/reddit
  - name: threads
    description: Get Threads posts
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/threads
  - name: google
    description: Scrape Google search results
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/google
paths:
  /v1/scrape/tiktok/live:
    get:
      tags:
        - tiktok
      summary: TikTok Live
      description: Scrapes a TikTok user's live stream
      operationId: tiktok_TikTok_Live
      parameters:
        - name: handle
          in: query
          description: TikTok handle
          required: true
          schema:
            type: string
            example: thejustalex
      responses:
        '200':
          description: >-
            Successful response


            **Key Response Fields:**

            - `data.liveRoomUserInfo.uniqueId`: Streamer's TikTok username

            - `data.liveRoomUserInfo.nickname`: Streamer's display name

            - `data.liveRoomUserInfo.id`: Streamer's user ID

            - `data.liveRoomUserInfo.secUid`: Streamer's secure user ID

            - `data.liveRoomUserInfo.followerCount`: Streamer's follower count

            - `data.liveRoomUserInfo.followingCount`: Streamer's following count

            - `data.liveRoomUserInfo.avatarLarger`: Streamer's profile picture
            (high-res)

            - `data.liveRoomUserInfo.signature`: Streamer's bio

            - `data.liveRoomUserInfo.roomId`: Live room ID

            - `data.liveRoomUserInfo.status`: User's live status (`4` =
            currently live)

            - `data.liveRoom.title`: Live stream title

            - `data.liveRoom.startTime`: Unix timestamp of when the stream
            started

            - `data.liveRoom.coverUrl`: Live stream cover image URL

            - `data.liveRoom.status`: Stream status (`4` = live)

            - `data.liveRoom.liveRoomStats.userCount`: Current viewer count

            - `data.liveRoom.liveRoomStats.enterCount`: Total unique viewers who
            entered

            - `data.liveRoom.streamData.pull_data.stream_data`: JSON string
            containing stream URLs — parse it to get FLV, HLS (m3u8), and CMAF
            URLs at various quality levels (origin, uhd_60, hd_60, hd, sd, ld)

            - `data.liveRoom.streamData.pull_data.options.qualities[]`:
            Available stream quality options with `name` (e.g. `1080p60`,
            `720p`) and `sdk_key`

            - `data.liveRoom.streamId`: Unique stream identifier

            - `data.liveRoom.liveSubOnly`: Whether the stream is subscriber-only

            - `data.liveRoom.gameTagId`: Game category tag (for gaming streams)
          content:
            application/json:
              example:
                success: true
                data:
                  success: true
                  liveRoomUserInfo:
                    avatarLarger: >-
                      https://p19-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/b169e9223700dc8d20d327510eb47f94~tplv-tiktokx-cropcenter:1080:1080.webp?dr=9640&refresh_token=99ee4f60&x-expires=1770746400&x-signature=1evIYAmYV0oNQrUYGxi4JivK2N8%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=fdd36af4&idc=useast8
                    avatarMedium: >-
                      https://p19-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/b169e9223700dc8d20d327510eb47f94~tplv-tiktokx-cropcenter:720:720.webp?dr=9640&refresh_token=26a66967&x-expires=1770746400&x-signature=%2BKCwBdA7xpBALxrv9DUJqLA4Y84%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=fdd36af4&idc=useast8
                    avatarThumb: >-
                      https://p16-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/b169e9223700dc8d20d327510eb47f94~tplv-tiktokx-cropcenter:100:100.webp?dr=9640&refresh_token=d38fc003&x-expires=1770746400&x-signature=bOq2ZvWzjosKaQNyYomxCyZXGlc%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=fdd36af4&idc=useast8
                    id: '6742945285876515845'
                    nickname: JustAlex
                    secUid: >-
                      MS4wLjABAAAA3_8rhYkKsHyYO45EzOF7RBQJRs1EaHBqHFtYIaz3aka44bMVgCLONvFaXPkddJei
                    secret: false
                    uniqueId: thejustalex
                    verified: false
                    roomId: '7604236190107159326'
                    signature: |-
                      🔴LIVE EVERYDAY🔴
                      —
                      📧rainzbizemail@gmail.com📧
                      Socials 👇
                    status: 4
                    followStatus: 0
                    followingCount: 1985
                    followerCount: 633946
                  liveRoom:
                    coverUrl: >-
                      https://p19-common-sign.tiktokcdn-us.com/tos-useast5-avt-0068-tx/b169e9223700dc8d20d327510eb47f94~tplv-tiktokx-cropcenter:720:720.webp?dr=9640&refresh_token=4338f4dc&x-expires=1770739200&x-signature=DW6BeGU9EfJ8pufmLABjhaMqJO8%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=fdd36af4&idc=useast8
                    squareCoverImg: ''
                    title: NOT ENDING UNTIL I WIN
                    startTime: 1770499294
                    status: 4
                    paidEvent:
                      event_id: 0
                      paid_type: 0
                    liveSubOnly: 0
                    liveRoomMode: 6
                    hashTagId: 5
                    gameTagId: 1983
                    liveRoomStats:
                      enterCount: 30596
                      userCount: 24
                    streamData:
                      pull_data:
                        options:
                          default_preview_quality:
                            icon_type: 0
                            level: 0
                            name: ''
                            resolution: ''
                            sdk_key: ''
                            v_codec: ''
                          default_quality:
                            icon_type: 0
                            level: 0
                            name: 540p
                            resolution: ''
                            sdk_key: sd
                            v_codec: ''
                          qualities:
                            '0':
                              icon_type: 6
                              level: 10
                              name: Original
                              resolution: ''
                              sdk_key: origin
                              v_codec: ''
                            '1':
                              icon_type: 4
                              level: 6
                              name: 1080p60
                              resolution: ''
                              sdk_key: uhd_60
                              v_codec: ''
                            '2':
                              icon_type: 3
                              level: 4
                              name: 720p60
                              resolution: ''
                              sdk_key: hd_60
                              v_codec: ''
                            '3':
                              icon_type: 3
                              level: 3
                              name: 720p
                              resolution: ''
                              sdk_key: hd
                              v_codec: ''
                            '4':
                              icon_type: 2
                              level: 2
                              name: 540p
                              resolution: ''
                              sdk_key: sd
                              v_codec: ''
                            '5':
                              icon_type: 1
                              level: 1
                              name: 360p
                              resolution: ''
                              sdk_key: ld
                              v_codec: ''
                          show_quality_button: false
                        stream_data: >-
                          {"common":{"session_id":"173-2026020818063507D1DB7B336B4B85727B","rule_ids":"{\"ab_version_trace\":null,\"sched\":\"{\\\"ids\\\":[\\\"ex_83514(Weight:100)\\\"],\\\"result\\\":{\\\"cdn\\\":2299,\\\"hit\\\":\\\"exclusive\\\"}}\"}","peer_anchor_level":39},"data":{"sd":{"main":{"flv":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_sd.flv?expire=1771783595\u0026sign=8a6b3304717dfe7d0f3157a8de6f28cb","hls":"https://pull-hls-f16-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_sd/index.m3u8?expire=1771783595\u0026sign=e6105d4ad87dedff2b9a87517825b38a","cmaf":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_sd/index.mpd?expire=1771783595\u0026sign=1126477fbf23cea60bf3b6e505578886","dash":"","lls":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_sd.sdp?expire=1771783595\u0026sign=e7f71022330a07d525f91287c6862c24","tsl":"","tile":"","rtc":"","sdk_params":"{\"vbitrate\":1200000,\"resolution\":\"540x960\",\"gop\":4,\"Auto\":{\"Demotion\":{\"StallCount\":4},\"Enable\":1},\"VCodec\":\"h264\",\"cdn_name\":\"fcdn\",\"stream_suffix\":\"sd\"}"}},"ld":{"main":{"flv":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_ld.flv?expire=1771783595\u0026sign=e43715a14456e0c9779f822b855f6d6b","hls":"https://pull-hls-f16-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_ld/index.m3u8?expire=1771783595\u0026sign=5e2b161534a4ad7267c47dc4e86cf826","cmaf":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_ld/index.mpd?expire=1771783595\u0026sign=070f8d82c57b77b3dc440c35855f8950","dash":"","lls":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_ld.sdp?expire=1771783595\u0026sign=fd89fd359f412153e0a7f29f801a0f88","tsl":"","tile":"","rtc":"","sdk_params":"{\"cdn_name\":\"fcdn\",\"stream_suffix\":\"ld\",\"Auto\":{\"Enable\":1,\"Demotion\":{\"StallCount\":4}},\"VCodec\":\"h264\",\"vbitrate\":600000,\"resolution\":\"360x640\",\"gop\":4}"}},"origin":{"main":{"flv":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_or4.flv?expire=1771783595\u0026sign=e7cf46eb47afc7984247dcdac041945e","hls":"https://pull-hls-f16-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_or4/index.m3u8?expire=1771783595\u0026sign=58f7e3fd4ce33b14a2b2b7049379a1b0","cmaf":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_or4/index.mpd?expire=1771783595\u0026sign=c1c14542fa198b0046f672c82ee0e8bc","dash":"","lls":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_or4.sdp?expire=1771783595\u0026sign=b8fb9481063bae0470237d056fe7fb9a","tsl":"","tile":"","rtc":"","sdk_params":"{\"cdn_name\":\"fcdn\",\"stream_suffix\":\"or4\",\"vbitrate\":1000000,\"Auto\":{\"Enable\":1,\"Demotion\":{\"StallCount\":4}},\"VCodec\":\"h264\",\"resolution\":\"1080x1920\",\"gop\":4}"}},"uhd_60":{"main":{"flv":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_uhd60.flv?expire=1771783595\u0026sign=5c8dea093dc1562ff447b75c0fdbd2a8","hls":"https://pull-hls-f16-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_uhd60/index.m3u8?expire=1771783595\u0026sign=2dd63ccace7b42f9bc2fc8bed278711b","cmaf":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_uhd60/index.mpd?expire=1771783595\u0026sign=1bb74e66ab04cc0b80ea186a98caa66e","dash":"","lls":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_uhd60.sdp?expire=1771783595\u0026sign=354c9a9b5442de5eb3d614bb825da24d","tsl":"","tile":"","rtc":"","sdk_params":"{\"cdn_name\":\"fcdn\",\"stream_suffix\":\"uhd60\",\"Auto\":{\"Demotion\":{\"StallCount\":4},\"Enable\":1},\"VCodec\":\"h264\",\"vbitrate\":5000000,\"resolution\":\"1080x1920\",\"gop\":4}"}},"hd_60":{"main":{"flv":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_hd60.flv?expire=1771783595\u0026sign=d7b5bdf2ca89faed287b00be7d042038","hls":"https://pull-hls-f16-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_hd60/index.m3u8?expire=1771783595\u0026sign=1f1cb6d9d971359630f026056edda554","cmaf":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_hd60/index.mpd?expire=1771783595\u0026sign=597b6ab0c9879245efd4b2b6ab754ad9","dash":"","lls":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_hd60.sdp?expire=1771783595\u0026sign=6565de6723177bbf1cd7d2df6dc6c5d5","tsl":"","tile":"","rtc":"","sdk_params":"{\"Auto\":{\"Enable\":1,\"Demotion\":{\"StallCount\":4}},\"VCodec\":\"h264\",\"cdn_name\":\"fcdn\",\"stream_suffix\":\"hd60\",\"vbitrate\":3000000,\"resolution\":\"720x1280\",\"gop\":4}"}},"ao":{"main":{"flv":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686.flv?expire=1771783595\u0026sign=d24decc98bec758a4b888f813c360f5d\u0026only_audio=1","hls":"","cmaf":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_ao/index.mpd?expire=1771783595\u0026sign=e7a7862956a0e26e026a95c9d4eec4e8","dash":"","lls":"","tsl":"","tile":"","rtc":"","sdk_params":"{\"gop\":4,\"Auto\":{\"Enable\":1,\"Demotion\":{\"StallCount\":4}},\"VCodec\":\"h264\",\"cdn_name\":\"fcdn\",\"stream_suffix\":\"ao\",\"vbitrate\":0,\"resolution\":\"\"}"}},"hd":{"main":{"flv":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_hd.flv?expire=1771783595\u0026sign=9f83ad9f7bc37e159fac147498147bd3","hls":"https://pull-hls-f16-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_hd/index.m3u8?expire=1771783595\u0026sign=9005b7b217ec59e6f181f08b541b20ce","cmaf":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_hd/index.mpd?expire=1771783595\u0026sign=4d9d29b3386d7866889af65776b782f5","dash":"","lls":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_hd.sdp?expire=1771783595\u0026sign=64fdc3d24770e3c175626a246099736d","tsl":"","tile":"","rtc":"","sdk_params":"{\"vbitrate\":1800000,\"resolution\":\"720x1280\",\"Auto\":{\"Enable\":1,\"Demotion\":{\"StallCount\":4}},\"VCodec\":\"h264\",\"gop\":4,\"cdn_name\":\"fcdn\",\"stream_suffix\":\"hd\"}"}}}}
                      push_data:
                        push_stream_level: 0
                        resolution_params: {}
                        stream_data: ''
                    streamId: '3865811086245364686'
                    multiStreamScene: 0
                    multiStreamSource: 0
                    hevcStreamData:
                      pull_data:
                        options:
                          default_preview_quality:
                            icon_type: 0
                            level: 0
                            name: ''
                            resolution: ''
                            sdk_key: ''
                            v_codec: ''
                          default_quality:
                            icon_type: 0
                            level: 0
                            name: 540p
                            resolution: ''
                            sdk_key: sd
                            v_codec: ''
                          qualities:
                            '0':
                              icon_type: 6
                              level: 10
                              name: Original
                              resolution: ''
                              sdk_key: origin
                              v_codec: ''
                            '1':
                              icon_type: 4
                              level: 6
                              name: 1080p60
                              resolution: ''
                              sdk_key: uhd_60
                              v_codec: ''
                            '2':
                              icon_type: 3
                              level: 4
                              name: 720p60
                              resolution: ''
                              sdk_key: hd_60
                              v_codec: ''
                            '3':
                              icon_type: 3
                              level: 3
                              name: 720p
                              resolution: ''
                              sdk_key: hd
                              v_codec: ''
                            '4':
                              icon_type: 2
                              level: 2
                              name: 540p
                              resolution: ''
                              sdk_key: sd
                              v_codec: ''
                            '5':
                              icon_type: 1
                              level: 1
                              name: 360p
                              resolution: ''
                              sdk_key: ld
                              v_codec: ''
                          show_quality_button: false
                        stream_data: >-
                          {"common":{"session_id":"173-2026020818063507D1DB7B336B4B85727B","rule_ids":"{\"ab_version_trace\":null,\"sched\":\"{\\\"ids\\\":[\\\"ex_83514(Weight:100)\\\"],\\\"result\\\":{\\\"hit\\\":\\\"exclusive\\\",\\\"cdn\\\":2299}}\"}","peer_anchor_level":39},"data":{"sd":{"main":{"flv":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_sd5.flv?expire=1771783595\u0026sign=b9eb3bc6516dbc3e4a2fc108b65b84fa","hls":"https://pull-hls-f16-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_sd5/index.m3u8?expire=1771783595\u0026sign=32f258bcd0026b229ae03ae5b6f56a0e","cmaf":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_sd5/index.mpd?expire=1771783595\u0026sign=c8e19573114aefc56dcf1fc2b7d6309d","dash":"","lls":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_sd5.sdp?expire=1771783595\u0026sign=497f9f0b0463ce7a5a45e409c721c1fc","tsl":"","tile":"","rtc":"","sdk_params":"{\"vbitrate\":1000000,\"resolution\":\"540x960\",\"gop\":4,\"Auto\":{\"Enable\":1,\"Demotion\":{\"StallCount\":4}},\"VCodec\":\"h265\",\"cdn_name\":\"fcdn\",\"stream_suffix\":\"sd5\"}"}},"ld":{"main":{"flv":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_ld5.flv?expire=1771783595\u0026sign=a0a4c0a6ddf3b381afd50aebbd75c5f9","hls":"https://pull-hls-f16-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_ld5/index.m3u8?expire=1771783595\u0026sign=21b6bacc70667041f82e9724a9f15e50","cmaf":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_ld5/index.mpd?expire=1771783595\u0026sign=05cef059d00d4985745bad3fd34c23c0","dash":"","lls":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_ld5.sdp?expire=1771783595\u0026sign=356989c65495d9c1aa1af39299998af4","tsl":"","tile":"","rtc":"","sdk_params":"{\"gop\":4,\"cdn_name\":\"fcdn\",\"stream_suffix\":\"ld5\",\"Auto\":{\"Enable\":1,\"Demotion\":{\"StallCount\":4}},\"VCodec\":\"h265\",\"vbitrate\":600000,\"resolution\":\"360x640\"}"}},"uhd_60":{"main":{"flv":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_uhd560.flv?expire=1771783595\u0026sign=115ea1e0b8f2a7c13426f81fabb3e996","hls":"https://pull-hls-f16-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_uhd560/index.m3u8?expire=1771783595\u0026sign=27033d969242735b39ff1885a5f36017","cmaf":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_uhd560/index.mpd?expire=1771783595\u0026sign=769d267f6ad50c85b55e213cd640e5c1","dash":"","lls":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_uhd560.sdp?expire=1771783595\u0026sign=2db0e7b4d5ddd990ce61eeebc070032c","tsl":"","tile":"","rtc":"","sdk_params":"{\"vbitrate\":4000000,\"resolution\":\"1080x1920\",\"gop\":4,\"Auto\":{\"Enable\":1,\"Demotion\":{\"StallCount\":4}},\"VCodec\":\"h265\",\"cdn_name\":\"fcdn\",\"stream_suffix\":\"uhd560\"}"}},"hd_60":{"main":{"flv":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_hd560.flv?expire=1771783595\u0026sign=1dc008c4bb20dbbf41449cd4fd77c4e9","hls":"https://pull-hls-f16-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_hd560/index.m3u8?expire=1771783595\u0026sign=2f543f343815ccec38791ad5b7903447","cmaf":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_hd560/index.mpd?expire=1771783595\u0026sign=50b7f64c434539ed86de24dafd1a1e9c","dash":"","lls":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_hd560.sdp?expire=1771783595\u0026sign=98268a915783f6fce3e944687c65808a","tsl":"","tile":"","rtc":"","sdk_params":"{\"Auto\":{\"Demotion\":{\"StallCount\":4},\"Enable\":1},\"VCodec\":\"h265\",\"gop\":4,\"cdn_name\":\"fcdn\",\"stream_suffix\":\"hd560\",\"vbitrate\":2600000,\"resolution\":\"720x1280\"}"}},"ao":{"main":{"flv":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686.flv?expire=1771783595\u0026sign=d24decc98bec758a4b888f813c360f5d\u0026only_audio=1","hls":"","cmaf":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_ao/index.mpd?expire=1771783595\u0026sign=e7a7862956a0e26e026a95c9d4eec4e8","dash":"","lls":"","tsl":"","tile":"","rtc":"","sdk_params":"{\"vbitrate\":0,\"Auto\":{\"Enable\":1,\"Demotion\":{\"StallCount\":4}},\"VCodec\":\"h264\",\"resolution\":\"\",\"gop\":4,\"cdn_name\":\"fcdn\",\"stream_suffix\":\"ao\"}"}},"origin":{"main":{"flv":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686.flv?expire=1771783595\u0026sign=d24decc98bec758a4b888f813c360f5d","hls":"https://pull-hls-f16-tt02.tiktokcdn-us.com/game/stream-3865811086245364686/index.m3u8?expire=1771783595\u0026sign=ece5769202e066fb906f6920d4ac68fd","cmaf":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686/index.mpd?expire=1771783595\u0026sign=e0dbd4486f335e4681fea8d9da265a08","dash":"","lls":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686.sdp?expire=1771783595\u0026sign=ad0d0848dd7b886e95340434037cc4e6","tsl":"","tile":"","rtc":"","sdk_params":"{\"VCodec\":\"h265\",\"cdn_name\":\"fcdn\",\"vbitrate\":4958000,\"resolution\":\"1080x1920\",\"gop\":4,\"Auto\":{\"Enable\":1,\"Demotion\":{\"StallCount\":4}}}"}},"hd":{"main":{"flv":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_hd5.flv?expire=1771783595\u0026sign=4ac7e0e98908b91d205b45d2d16e9179","hls":"https://pull-hls-f16-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_hd5/index.m3u8?expire=1771783595\u0026sign=281a4f9f8b0621e118df786a90360ad6","cmaf":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_hd5/index.mpd?expire=1771783595\u0026sign=1f85d9cfe492e0f094a8707b186fdcea","dash":"","lls":"https://pull-f5-tt02.tiktokcdn-us.com/game/stream-3865811086245364686_hd5.sdp?expire=1771783595\u0026sign=625f833813043f3864cb2af28ec62087","tsl":"","tile":"","rtc":"","sdk_params":"{\"stream_suffix\":\"hd5\",\"vbitrate\":1600000,\"resolution\":\"720x1280\",\"gop\":4,\"cdn_name\":\"fcdn\",\"VCodec\":\"h265\",\"Auto\":{\"Enable\":1,\"Demotion\":{\"StallCount\":4}}}"}}}}
                      push_data:
                        push_stream_level: 0
                        resolution_params: {}
                        stream_data: ''
                credits_used: 1
                endpoint: tiktok/live
        '400':
          description: Bad Request - Invalid parameters or missing required fields
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: 'Missing required parameter: handle'
                  endpoint:
                    type: string
                  credits_required:
                    type: integer
                required:
                  - error
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid API key
                  docs:
                    type: string
                    example: https://docs.sociavault.com/authentication
                required:
                  - error
        '402':
          description: Payment Required - Insufficient credits
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Insufficient credits
                  required:
                    type: integer
                    example: 1
                    description: Credits required for this request
                  available:
                    type: integer
                    example: 0
                    description: Credits currently available
                required:
                  - error
                  - required
                  - available
        '500':
          description: Internal Server Error - Service configuration or processing error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Service configuration error
                required:
                  - error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`

        Get your API key from the [Dashboard](https://sociavault.com/dashboard).

````